Get Feature Preset by id.
1 min
GET
https://app.amberflo.io/feature/preset/{id}
Path Parameters
- idstringrequired
Responses
200
- metadata.feature_flag.FeaturePreset.out
- idstringrequiredDescription
- labelstringDescription
- descriptionstringDescription
- overridesmap<string, metadata.feature_flag.flag_values.FlagValue.out>Description
curl
curl --request GET \
--url https://app.amberflo.io/feature/preset/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/feature/preset/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/feature/preset/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/feature/preset/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"id": "",
"label": "",
"description": "",
"overrides": ""
}